获取引用趋势
查看每日引用总数,以及排名靠前的域名和页面的每日序列。
GET
/
v1
/
monitors
/
{id}
/
citations
Citations over time
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"totals": {
"answers": 123,
"citedAnswers": 123,
"citations": 123,
"ownedCitations": 123
},
"days": [
{
"day": "2023-12-25",
"answers": 123,
"citations": 123,
"ownedCitations": 123
}
],
"domains": [
{
"key": "<string>",
"domain": "<string>",
"label": "<string>",
"kind": "owned",
"owned": true,
"citations": 123,
"answers": 123,
"prompts": 123,
"daily": [
{
"day": "2023-12-25",
"citations": 123
}
]
}
],
"pages": [
{
"key": "<string>",
"domain": "<string>",
"label": "<string>",
"kind": "owned",
"owned": true,
"citations": 123,
"answers": 123,
"prompts": 123,
"daily": [
{
"day": "2023-12-25",
"citations": 123
}
]
}
],
"types": [
{
"key": "owned",
"citations": 123,
"domains": 123
}
],
"pagination": {
"offset": 123,
"limit": 20,
"totalDomains": 123,
"totalPages": 123
},
"windowDays": 7,
"engine": "<string>",
"prompt": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
}
授权
Your API key, sent as Authorization: Bearer <key>.
路径参数
查询参数
Window length ending now. When since and until are set, the fixed window wins and days is only echoed as windowDays.
可用选项:
7, 30, 90 Inclusive ISO instant with a timezone offset. Requires until.
Exclusive ISO instant with a timezone offset. Requires since.
Same filter as the report.
Same exact-prompt filter as the report.
Maximum string length:
2000Narrows the domains and pages lists to one source type.
可用选项:
all, owned, editorial, review_media, pr_wire, institution, reviews, commerce, social, blog, community, video, brand, content, other Substring filter: domain name in the domains list, URL in the pages list.
Maximum string length:
200Skips this many rows in each list. Each list returns 20 rows.
必填范围:
0 <= x <= 10000⌘I
Citations over time
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"totals": {
"answers": 123,
"citedAnswers": 123,
"citations": 123,
"ownedCitations": 123
},
"days": [
{
"day": "2023-12-25",
"answers": 123,
"citations": 123,
"ownedCitations": 123
}
],
"domains": [
{
"key": "<string>",
"domain": "<string>",
"label": "<string>",
"kind": "owned",
"owned": true,
"citations": 123,
"answers": 123,
"prompts": 123,
"daily": [
{
"day": "2023-12-25",
"citations": 123
}
]
}
],
"pages": [
{
"key": "<string>",
"domain": "<string>",
"label": "<string>",
"kind": "owned",
"owned": true,
"citations": 123,
"answers": 123,
"prompts": 123,
"daily": [
{
"day": "2023-12-25",
"citations": 123
}
]
}
],
"types": [
{
"key": "owned",
"citations": 123,
"domains": 123
}
],
"pagination": {
"offset": 123,
"limit": 20,
"totalDomains": 123,
"totalPages": 123
},
"windowDays": 7,
"engine": "<string>",
"prompt": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
}